
package com.tmerclub.cloud.api.product.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * 订单项平台佣金需要的参数
 * @author tmerclub
 * @date 2021/5/24
 */
public class PlatformCommissionOrderItemBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    private Long categoryId;

    private Double rate;
    private Double supplierRate;

    private Long skuId;

    private PlatformCommissionItemBO shopItem;

    private PlatformCommissionItemBO supplierItem;

    public Double getSupplierRate() {
        return supplierRate;
    }

    public void setSupplierRate(Double supplierRate) {
        this.supplierRate = supplierRate;
    }

    public PlatformCommissionItemBO getShopItem() {
        return shopItem;
    }

    public void setShopItem(PlatformCommissionItemBO shopItem) {
        this.shopItem = shopItem;
    }

    public PlatformCommissionItemBO getSupplierItem() {
        return supplierItem;
    }

    public void setSupplierItem(PlatformCommissionItemBO supplierItem) {
        this.supplierItem = supplierItem;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public Double getRate() {
        return rate;
    }

    public void setRate(Double rate) {
        this.rate = rate;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    @Override
    public String toString() {
        return "PlatformCommissionOrderItemBO{" +
                "categoryId=" + categoryId +
                ", rate=" + rate +
                ", supplierRate=" + supplierRate +
                ", skuId=" + skuId +
                ", shopItem=" + shopItem +
                ", supplierItem=" + supplierItem +
                '}';
    }
}

